%define date 20240202
%define commit 2213b76712c8e08d885482d117f904d570c990aa
%define shortcommit %(c=%{commit}; echo ${c:0:7})


Summary:    FAAD2, FFmpeg and x264 plugins for libquicktime library
Name:       libquicktime-freeworld
Version:    1.2.4
Release:    1.%{date}git%{shortcommit}%{?dist}
License:    GPL-2.0-or-later
URL:        http://libquicktime.sourceforge.net/
Source0:    https://sourceforge.net/code-snapshots/git/l/li/libquicktime/git.git/libquicktime-git-%{commit}.zip

BuildRequires:  autoconf
BuildRequires:  automake
%{?el7:BuildRequires: epel-rpm-macros}
%{?_with_faac:BuildRequires:  faac-devel}
BuildRequires:  faad2-devel
BuildRequires:  gcc
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  compat-ffmpeg4-devel
BuildRequires:  x264-devel
BuildRequires:  zlib-devel
Requires:   libquicktime%{_isa} >= %{version}

%description
This package contains the FAAD2, FFmpeg and x264 plugins for libquicktime.

%prep
%autosetup -n libquicktime-git-%{commit}

%build
./autogen.sh
%configure \
    --disable-nls \
    --disable-rpath \
    --disable-static \
    --enable-gpl \
    --enable-libswscale \
    --with-cpuflags="$RPM_OPT_FLAGS" \
    --without-doxygen \

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install
rm -v %{buildroot}%{_libdir}/libquicktime.so*
rm -v %{buildroot}%{_libdir}/libquicktime{,/lqt_*}.la
rm -v %{buildroot}%{_libdir}/libquicktime/lqt_{{audio,video}codec,rtjpeg}.so
rm -v %{buildroot}%{_libdir}/pkgconfig/libquicktime.pc
rm -v %{buildroot}%{_bindir}/{l,}qt*
rm -rv %{buildroot}%{_includedir}/lqt

%files
%license COPYING
%{_libdir}/libquicktime/lqt_faad2.so
%{_libdir}/libquicktime/lqt_ffmpeg.so
%{_libdir}/libquicktime/lqt_x264.so

%changelog
* Thu Feb 29 2024 Dominik Mierzejewski <dominik@greysector.net> - 1.2.4-1.20240202git2213b7
- initial freeworld package
